### Class

# Gtk TreeListRow

#### Description [src]

    final class Gtk.TreeListRow : GObject.Object
    {
      /* No available fields */
    }

`GtkTreeListRow` is used by `GtkTreeListModel` to represent items.

It allows navigating the model as a tree and modify the state of rows.

`GtkTreeListRow` instances are created by a `GtkTreeListModel` only when the `GtkTreeListModel:passthrough` property is not set.

There are various support objects that can make use of `GtkTreeListRow` objects, such as the `GtkTreeExpander` widget that allows displaying an icon to expand or collapse a row or `GtkTreeListRowSorter` that makes it possible to sort trees properly.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gtk_tree_list_row_get_child_row

If `self` is not expanded or `position` is greater than the number of children, `NULL` is returned.

###### gtk_tree_list_row_get_children

If the row is expanded, gets the model holding the children of `self`.

###### gtk_tree_list_row_get_depth

Gets the depth of this row.

###### gtk_tree_list_row_get_expanded

Gets if a row is currently expanded.

###### gtk_tree_list_row_get_item

Gets the item corresponding to this row,

###### gtk_tree_list_row_get_parent

Gets the row representing the parent for `self`.

###### gtk_tree_list_row_get_position

Returns the position in the `GtkTreeListModel` that `self` occupies at the moment.

###### gtk_tree_list_row_is_expandable

Checks if a row can be expanded.

###### gtk_tree_list_row_set_expanded

Expands or collapses a row.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.TreeListRow:children

The model holding the row’s children.

###### Gtk.TreeListRow:depth

The depth in the tree of this row.

###### Gtk.TreeListRow:expandable

If this row can ever be expanded.

###### Gtk.TreeListRow:expanded

If this row is currently expanded.

###### Gtk.TreeListRow:item

The item held in this row.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkTreeListRowClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.